Subject: bug#54812: ‘guix system reconfigure’ closes SSH connections

From: Christine Lemmer-Webber <[email-masked]>
Date: Mon, 16 May 2022 19:40:50 -0400

Christine Lemmer-Webber <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> Ludovic Courtès <[email-masked]> skribis:
>>
>>> With OpenSSH turned into inetd style in commit
>>> 808b9e850491c7b1d867a5f1f4d5ee6f61f345d4, the service upgrade code used
>>> by ‘guix system reconfigure’ and ‘guix deploy’ wrongfully decides that
>>> the ‘sshd-*’ transient services corresponding to individual SSH
>>> connections should be closed:
>>
>> Fixed with:
>>
>>   eeb8ac43c8 services: shepherd: Do not unload transient services.
>>   a2c759c830 services: herd: Report whether a service is transient.
>>
>> Ludo’.
>
> Hm.  I'm getting this issue.  I did a guix pull locally, on the
> server... doesn't seem to make a difference.  I get the very error
> reported above when using "guix deploy".
>
> I guess others aren't?  I wonder why I am...
>
>  - Christine

I reopened this, because I'm hitting it on all the machines I use "guix
deploy" with.  I think, before closing, it would be good to hear if any
other guix deploy users are hitting it.  If it's just me, well I'll have
to figure it out then, but I suspect it isn't just me. :)